NX Open C++ Reference Guide
|
This class performs the best fit alignment between objects
To create a new instance of this class, use Facet::FacetedBodyCollection::CreateBestFitAlignBuilder
Created in NX6.0.0.
More...
Public Member Functions | |
NXOpen::SelectNXObjectList * | DestinationObjects () |
Returns the destination objects Created in NX6.0.0. | |
NXOpen::Direction * | Direction () |
Returns the plane or line direction Created in NX6.0.0. | |
NXOpen::Facet::BestFitAlignBuilder::ConstraintOptions | FitConstraints () |
Returns the fit constraint Created in NX6.0.0. | |
bool | GlobalSearch () |
Returns a value indicating whether to do a global search Created in NX6.0.0. | |
NXOpen::SelectNXObjectList * | MobileObjects () |
Returns the mobile objects Created in NX6.0.0. | |
NXOpen::Point * | RotateCenter () |
Returns the rotation center Created in NX6.0.0. | |
void | SetDirection (NXOpen::Direction *direction) |
Sets the plane or line direction Created in NX6.0.0. | |
void | SetFitConstraints (NXOpen::Facet::BestFitAlignBuilder::ConstraintOptions fitConstraints) |
Sets the fit constraint Created in NX6.0.0. | |
void | SetGlobalSearch (bool globalSearch) |
Sets a value indicating whether to do a global search Created in NX6.0.0. | |
void | SetRotateCenter (NXOpen::Point *rotateCenter) |
Sets the rotation center Created in NX6.0.0. | |
NXOpen::SelectNXObjectList * | SourceObjects () |
Returns the source objects Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class performs the best fit alignment between objects
To create a new instance of this class, use Facet::FacetedBodyCollection::CreateBestFitAlignBuilder
Created in NX6.0.0.
Represents the constraint options.
NXOpen::SelectNXObjectList* NXOpen::Facet::BestFitAlignBuilder::DestinationObjects | ( | ) |
Returns the destination objects
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Facet::BestFitAlignBuilder::Direction | ( | ) |
Returns the plane or line direction
Created in NX6.0.0.
License requirements : None
NXOpen::Facet::BestFitAlignBuilder::ConstraintOptions NXOpen::Facet::BestFitAlignBuilder::FitConstraints | ( | ) |
Returns the fit constraint
Created in NX6.0.0.
License requirements : None
bool NXOpen::Facet::BestFitAlignBuilder::GlobalSearch | ( | ) |
Returns a value indicating whether to do a global search
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Facet::BestFitAlignBuilder::MobileObjects | ( | ) |
Returns the mobile objects
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::Facet::BestFitAlignBuilder::RotateCenter | ( | ) |
Returns the rotation center
Created in NX6.0.0.
License requirements : None
void NXOpen::Facet::BestFitAlignBuilder::SetDirection | ( | NXOpen::Direction * | direction | ) |
Sets the plane or line direction
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
direction | direction |
void NXOpen::Facet::BestFitAlignBuilder::SetFitConstraints | ( | NXOpen::Facet::BestFitAlignBuilder::ConstraintOptions | fitConstraints | ) |
Sets the fit constraint
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
fitConstraints | fitconstraints |
void NXOpen::Facet::BestFitAlignBuilder::SetGlobalSearch | ( | bool | globalSearch | ) |
Sets a value indicating whether to do a global search
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
globalSearch | globalsearch |
void NXOpen::Facet::BestFitAlignBuilder::SetRotateCenter | ( | NXOpen::Point * | rotateCenter | ) |
Sets the rotation center
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
rotateCenter | rotatecenter |
NXOpen::SelectNXObjectList* NXOpen::Facet::BestFitAlignBuilder::SourceObjects | ( | ) |
Returns the source objects
Created in NX6.0.0.
License requirements : None